<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="path">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="path-feature,relative-to"/>
        <elem name="op-params-mapping" value="path,relative-to"/>
        <elem name="addr-params" value="path"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="path"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.path.$path"/>
    </provides>
    <requires>
        <capability name="org.wildfly.management.path.$relative-to" optional="true"/>
    </requires>
    <params>
        <param name="path" feature-id="true"/>
        <param name="path-feature"/>
        <param name="relative-to" nillable="true"/>
    </params>
</feature-spec>